Net::DNS::RR::NS(3)

NAME
Net::DNS::RR::NS - DNS NS resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name NS nsdname');

    $rr = new Net::DNS::RR(
        name    => 'example.com',
        type    => 'NS',
        nsdname => 'ns.example.com',
        );

DESCRIPTION
Class for DNS Name Server (NS) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  nsdname
    $nsdname = $rr->nsdname;

A domain name which specifies a host which should be authoritative for the specified class and domain.

COPYRIGHT
Copyright (c)1997-2002 Michael Fuhr.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC1035 Section 3.3.11